Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class AbstractQuickTimeStream.Edit

    java.lang.Object
      org.monte.media.quicktime.AbstractQuickTimeStream.Edit

Enclosing class:
  AbstractQuickTimeStream

    public static class AbstractQuickTimeStream.Edit

extends java.lang.Object

An `Edit` define the portions of the media that are to be used to build up a track for a movie. The edits themselves are stored in an edit list table, which consists of time offset and duration values for each segment.

In the absence of an edit list, the presentation of the track starts immediately. An empty edit is used to offset the start time of a track.

Field Summary
`int` | `mediaRate` A 32-bit fixed-point number (16.16) that specifies the relative rate at which to play the media corresponding to this edit segment.
`int` | `mediaTime` A 32-bit integer containing the start time within the media of this edit segment (in media time scale units).
`int` | `trackDuration` A 32-bit integer that specifies the duration of this edit segment in units of the movie's time scale.

Constructor Summary
`AbstractQuickTimeStream.Edit(int trackDuration, int mediaTime, double mediaRate)` Creates an edit.
`AbstractQuickTimeStream.Edit(int trackDuration, int mediaTime, int mediaRate)` Creates an edit.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### trackDuration

    public int trackDuration

  A 32-bit integer that specifies the duration of this edit segment in units of the movie's time scale.

### mediaTime

    public int mediaTime

  A 32-bit integer containing the start time within the media of this edit segment (in media time scale units). If this field is set to -1, it is an empty edit. The last edit in a track should never be an empty edit. Any differece between the movie's duration and the track's duration is expressed as an implicit empty edit.

### mediaRate

    public int mediaRate

  A 32-bit fixed-point number (16.16) that specifies the relative rate at which to play the media corresponding to this edit segment. This rate value cannot be 0 or negative.

Constructor Detail

### AbstractQuickTimeStream.Edit

    public AbstractQuickTimeStream.Edit(int trackDuration,
                                        int mediaTime,
                                        double mediaRate)

  Creates an edit.

  Parameters:
    `trackDuration` - Duration of this edit in the movie's time scale.
    `mediaTime` - Start time of this edit in the media's time scale. Specify -1 for an empty edit. The last edit in a track should never be an empty edit.
    `mediaRate` - The relative rate at which to play this edit.

### AbstractQuickTimeStream.Edit

    public AbstractQuickTimeStream.Edit(int trackDuration,
                                        int mediaTime,
                                        int mediaRate)

  Creates an edit.

  Use this constructor only if you want to compute the fixed point media rate by yourself.

  Parameters:
    `trackDuration` - Duration of this edit in the movie's time scale.
    `mediaTime` - Start time of this edit in the media's time scale. Specify -1 for an empty edit. The last edit in a track should never be an empty edit.
    `mediaRate` - The relative rate at which to play this edit given as a 16.16 fixed point value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD